/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#include "JengaFettToolBar.h"
#include "PluginServices.h"
#include <QToolButton>
#include <QMessageBox>
#include <QInputDialog>
#include <QMenu>
#include <assert.h>
#include "JengaFettPluginWidget.h"


using namespace jengafett_plugin::gui;

JengaFettToolBar::JengaFettToolBar( cubepluginapi::PluginServices* service ) : QToolBar( "JengaFett Toolbar" )
{
    parent          = 0;
    this->service   = service;
    normalized_state = false;
    
    normalize_action = this->addAction(QIcon(":/jengafetticons/normalize.png"),"Normalize bars");
    normalize_action->setCheckable(true);
    connect(normalize_action, SIGNAL(triggered()),
	    this, SLOT(normalize()));   
    
}


void
JengaFettToolBar::setJengaFettPluginWidget( JengaFettPluginWidget* newparent )
{
    parent = newparent;
}


// slots connected to the actions in the topology tool bar
void
JengaFettToolBar::showSelf()
{
    if ( parent != NULL )
    {
        this->show();
    }
}

void
JengaFettToolBar::hideSelf()
{
    this->hide();
}


void
JengaFettToolBar::normalize()
{
    normalized_state = ! normalized_state;
    parent->setNormalize( normalized_state );
    /** Returns selected items in the given tree  @param type METRICTREE, CALLTREE, CALLFLAT, SYSTEMTREE */
    const QList<cubepluginapi::TreeItem*>& metrics = service->getSelections( cubepluginapi::METRICTREE );
    const QList<cubepluginapi::TreeItem*>& cnodes = service->getSelections( cubepluginapi::CALLTREE );
    const QList<cubepluginapi::TreeItem*>& sysres = service->getSelections( cubepluginapi::SYSTEMTREE );
    
    parent->selectedItems( metrics, cnodes, sysres );
    std::cout << "_ADFADF" << std::endl;
}

