/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 2015-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


#ifndef JENGA_FETT_TOOLBAR_H
#define JENGA_FETT_TOOLBAR_H

#include <QToolButton>
#include <QLineEdit>
#include <QComboBox>
#include <QToolBar>
#include <QToolButton>
#include <QLabel>
#include "PluginServices.h"



namespace jengafett_plugin
{
    
    namespace gui 
    {
        
        class JengaFettPluginWidget;


        class JengaFettToolBar : public QToolBar
        {
            Q_OBJECT
        public:
            JengaFettToolBar( cubepluginapi::PluginServices* service );
            
            
            void
            setJengaFettPluginWidget( JengaFettPluginWidget* newparent );

            void
            reinit();
            
            void
            showSelf();
            
            void
            hideSelf();
            
            
            
        private slots:


            void
            normalize();
            
            
        private:
            cubepluginapi::PluginServices*       service;
            JengaFettPluginWidget* parent;
            QAction  *normalize_action;
//             , *back_action, 
//                     *left_action, *unzoom_action, 
//                     *right_action, *roles_filter_action, 
//                     *compact_action;
//             QLineEdit * filter_input;
//             
            bool active;
            bool normalized_state;
        };

    };
};


#endif
